<div class="main-content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-danger">
                        <h4 class="card-title">Ajouter Utilisateur</h4>
                    </div>
                    <div class="card-body">
                        <form [formGroup]="form">

                            <div class="selectt">
                                <label class="labelll"> Fonction</label> &nbsp;
                                <select  class="select" name="fonction" formControlName="fonctionId">
                                    <option value="" disabled>Choisi une fonction</option>
                                    <option *ngFor="let c of fonctionId" [ngValue]="c.id">
                                        {{ c.libelle_fonction }}
                                    </option>
                                </select>
                                <span *ngIf="isValid('fonctionId')"> Champ fonction manquant</span>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <mat-form-field class="example-full-width">
                                        <input matInput placeholder="Nom" formControlName="nom" type="text">
                                    </mat-form-field>
                                    <span *ngIf="isValid('nom')"> Champ nom manquant</span>
                                </div>
                                <div class="col-md-6">
                                    <mat-form-field class="example-full-width">
                                        <input matInput placeholder="Prénom" formControlName="prenom" type="text">
                                    </mat-form-field>
                                    <span *ngIf="isValid('prenom')"> Champ prénom manquant</span>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4">
                                    <mat-form-field class="example-full-width">
                                        <input matInput placeholder="Adresse mail" formControlName="email" type="email"
                                               ngModel [email]="true">
                                    </mat-form-field>
                                    <span *ngIf="isValid('email')"> Champ email manquant ou invalide </span>
                                </div>
                                <div class="col-md-4">
                                    <mat-form-field class="example-full-width">
                                        <input matInput placeholder="Téléphone" formControlName="telephone" type="text">
                                    </mat-form-field>
                                    <span *ngIf="isValid('telephone')"> Champ téléphone manquant</span>
                                </div>
                                <div class="col-md-4">
                                    <mat-form-field class="example-full-width">
                                        <input matInput placeholder="Mot de passe" formControlName="mdp" type="password">
                                    </mat-form-field>
                                    <span *ngIf="isValid('mdp')"> Champ mot de passe manquant</span>
                                </div>

                            </div>

                            <div class="erreur">{{errorMessage}}</div>
                            <button mat-raised-button type="reset" class="btn btn-danger pull-right" (click)="reset()" >Annuler </button>
                            <button mat-raised-button type="submit" class="btn btn-success pull-right"
                                    [disabled]="form.invalid" (click)="adduser()">Ajouter</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
